Escalate an existing finding in a repository and make a comment explaining
why.
curl --request PATCH \
--url https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/escalate \
--header 'Content-Type: application/json' \
--data '
{
"commentContent": "<string>"
}
'import requests
url = "https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/escalate"
payload = { "commentContent": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({commentContent: '<string>'})
};
fetch('https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Repositories
Escalate an existing finding in a repository and make a comment explaining why.
Access control rules
- The user must be a reviewer and the finding must be made by them or their team.
PATCH
/
api
/
v0
/
repositories
/
{repo_id}
/
findings
/
{finding_ref}
/
escalate
Escalate an existing finding in a repository and make a comment explaining
why.
Path Parameters
Reference to a finding, either a finding id or finding number.
Body
application/json
Comment will always created as a new thread (i.e. parent set to
null) and as a publicly visible comment (i.e. visibility set to
public).
Response
Finding escalated, returns the id of the comment
⌘I